你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Agent Pools - Update

使用指定的参数更新代理池。

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/agentPools/{agentPoolName}?api-version=2025-03-01-preview

URI 参数

名称 必需 类型 说明
agentPoolName
path True

string

minLength: 3
maxLength: 20
pattern: ^[a-zA-Z0-9-]*$

代理池的名称。

registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

注册局名称

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

请求正文

名称 类型 说明
properties.count

integer (int32)

代理计算机的计数

tags

object

ARM 资源标记。

响应

名称 类型 说明
200 OK

AgentPool

请求已成功。

201 Created

AgentPool

资源“AgentPool”创建作成功

标头

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

AgentPools_Update

示例请求

PATCH https://management.azure.com/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/agentPools/myAgentPool?api-version=2025-03-01-preview

{
  "properties": {
    "count": 1
  }
}

示例响应

{
  "name": "myAgentPool",
  "type": "Microsoft.ContainerRegistry/registries/agentPools",
  "id": "/subscriptions/f9d7ebed-adbd-4cb4-b973-aaf82c136138/resourceGroups/huanwudfwestgroup/providers/Microsoft.ContainerRegistry/registries/huanglidfwest01/agentPools/testagent26",
  "location": "WESTUS",
  "properties": {
    "count": 1,
    "os": "Linux",
    "provisioningState": "Succeeded",
    "tier": "S1"
  }
}
{
  "name": "myAgentPool",
  "type": "Microsoft.ContainerRegistry/registries/agentPools",
  "id": "/subscriptions/f9d7ebed-adbd-4cb4-b973-aaf82c136138/resourceGroups/huanwudfwestgroup/providers/Microsoft.ContainerRegistry/registries/huanglidfwest01/agentPools/testagent26",
  "location": "WESTUS",
  "properties": {
    "count": 1,
    "os": "Linux",
    "provisioningState": "Succeeded",
    "tier": "S1"
  }
}

定义

名称 说明
AgentPool

具有 ARM 资源和属性的代理池。 代理池将包含用于创建代理池的所有信息。

AgentPoolUpdateParameters

用于更新代理池的参数。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

OS

代理计算机的 OS

ProvisioningState

此代理池的预配状态

systemData

与创建和上次修改资源相关的元数据。

AgentPool

具有 ARM 资源和属性的代理池。 代理池将包含用于创建代理池的所有信息。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

资源所在的地理位置

name

string

资源的名称

properties.count

integer (int32)

代理计算机的计数

properties.os

OS

代理计算机的 OS

properties.provisioningState

ProvisioningState

此代理池的预配状态

properties.tier

string

代理计算机的层

properties.virtualNetworkSubnetResourceId

string

代理计算机的虚拟网络子网资源 ID

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

tags

object

资源标记。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

AgentPoolUpdateParameters

用于更新代理池的参数。

名称 类型 说明
properties.count

integer (int32)

代理计算机的计数

tags

object

ARM 资源标记。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

OS

代理计算机的 OS

说明
Windows
Linux

ProvisioningState

此代理池的预配状态

说明
Creating
Updating
Deleting
Succeeded
Failed
Canceled

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。